### Method

# Clutter Container find_child_by_name

#### Declaration [src]

    ClutterActor*
    clutter_container_find_child_by_name (
      ClutterContainer* container,
      const gchar* child_name
    )

#### Description [src]

Finds a child actor of a container by its name. Search recurses into any child container.

#### Parameters

`child_name`

  Type: `const gchar*`

  The name of the requested child.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `ClutterActor`

The child actor with the requested name, or `NULL` if no actor with that name was found.

The data is owned by the instance.